Summary: SMB authentication for the PHP HTML-embedded scripting language.
Name: php-smbauth
Version: 4.1.2
Release: 7.2.4
Group: Development/Languages
URL: http://uranus.it.swin.edu.au/~jn
Source0: http://uranus.it.swin.edu.au/~jn/linux/smbauth-0.2.tgz
BuildPrereq: php-devel
License: unknown
BuildRoot: %{_tmppath}/%{name}-root
Packager: John Newbign (jn@it.swin.edu.au)
Distribution: Preminition
Vendor: Preminition Software


%description
PHP module which allows smb authentication requests to be made to SMB servers

%prep
%setup -n smbauth-0.2

%build
make all

$install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/php4
cp smbauth.so $RPM_BUILD_ROOT/%{_libdir}/php4/


%files 
%defattr(-,root,root)
%{_libdir}/php4/smbauth.so

%post 
# if there is no entry we need to first add one...
# (at the moment we make use of the fact that the section headers are not used)
grep -q "extension=smbauth.so" %{_sysconfdir}/php.ini || echo ";extension=smbauth.so" >> %{_sysconfdir}/php.ini
%{__perl} -pi -e "s|^;extension=smbauth.so|extension=smbauth.so|" %{_sysconfdir}/php.ini

%preun 
# comment out the entry
if [ $1 = 0 -a -f %{_sysconfdir}/php.ini ] ; then
  %{__perl} -pi -e "s|^extension=smbauth.so|;extension=smbauth.so|" %{_sysconfdir}/php.ini
fi

